Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class ClassCodeVisitorSupport

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport

All Implemented Interfaces:
  GroovyClassVisitor

    public abstract class ClassCodeVisitorSupport
    extends CodeVisitorSupport

Method Summary
`protected void` | `addError(String msg, ASTNode expr)`
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitAssertStatement(AssertStatement statement)`
`void` | `visitBlockStatement(BlockStatement block)`
`void` | `visitBreakStatement(BreakStatement statement)`
`void` | `visitCaseStatement(CaseStatement statement)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClass(ClassNode node)`
`protected void` | `visitClassCodeContainer(Statement code)`
`void` | `visitConstructor(ConstructorNode node)`
`protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
`void` | `visitContinueStatement(ContinueStatement statement)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`void` | `visitExpressionStatement(ExpressionStatement statement)`
`void` | `visitField(FieldNode node)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitIfElse(IfStatement ifElse)`
`void` | `visitImports(ModuleNode node)`
`void` | `visitMethod(MethodNode node)`
`protected void` | `visitObjectInitializerStatements(ClassNode node)`
`void` | `visitPackage(PackageNode node)`
`void` | `visitProperty(PropertyNode node)`
`void` | `visitReturnStatement(ReturnStatement statement)`
`protected void` | `visitStatement(Statement statement)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
`void` | `visitThrowStatement(ThrowStatement statement)`
`void` | `visitTryCatchFinally(TryCatchStatement statement)`
`void` | `visitVariableExpression(VariableExpression expression)`
`void` | `visitWhileLoop(WhileStatement loop)`

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addError

    protected void addError(String msg, ASTNode expr)

### getSourceUnit

    protected SourceUnit getSourceUnit()

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitAssertStatement

    public void visitAssertStatement(AssertStatement statement)

### visitBlockStatement

    public void visitBlockStatement(BlockStatement block)

### visitBreakStatement

    public void visitBreakStatement(BreakStatement statement)

### visitCaseStatement

    public void visitCaseStatement(CaseStatement statement)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement statement)

### visitClass

    public void visitClass(ClassNode node)

### visitClassCodeContainer

    protected void visitClassCodeContainer(Statement code)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitConstructorOrMethod

    protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement statement)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement loop)

### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement statement)

### visitField

    public void visitField(FieldNode node)

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

### visitIfElse

    public void visitIfElse(IfStatement ifElse)

### visitImports

    public void visitImports(ModuleNode node)

### visitMethod

    public void visitMethod(MethodNode node)

### visitObjectInitializerStatements

    protected void visitObjectInitializerStatements(ClassNode node)

### visitPackage

    public void visitPackage(PackageNode node)

### visitProperty

    public void visitProperty(PropertyNode node)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

### visitStatement

    protected void visitStatement(Statement statement)

### visitSwitch

    public void visitSwitch(SwitchStatement statement)

### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement statement)

### visitThrowStatement

    public void visitThrowStatement(ThrowStatement statement)

### visitTryCatchFinally

    public void visitTryCatchFinally(TryCatchStatement statement)

### visitVariableExpression

    @Override
    public void visitVariableExpression(VariableExpression expression)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement loop)

Copyright © 2003-2010 The Codehaus. All rights reserved.